% The script defines the default options for the log(p)-h-Diagram

%% ------------------------------------------------------------------------
% The file is part of the numerical models: "Numerical models for the
% design and analysis of heat pumps with zeotropic mixtures". All
% information about copyright, licenses and authors can be found in the
% attached documentation.
% doi: 10.11583/DTU.6825443
% Copyright (c) 2018, B. Zhlsdorf, DTU <bezuhls@mek.dtu.dk>, 03/12/2018
% -------------------------------------------------------------------------

options_logph.width    = 10;        % cm
options_logph.height   = 10;        % cm
options_logph.box      = 'on';      % Plots box -> can be replaced by 'off'
options_logph.grid     = 'on';      % Plots grid -> can be replaced by 'off'

options_logph.ylim     = 'auto';    % automatic -> can be replaced by vector of [ymin ymax]
options_logph.xlim     = 'auto';    % automatic -> can be replaced by vector of [xmin xmax]

options_logph.isothermals = 'on';   % Lines of constant temperature are plotted -> can be replaced by 'off'
options_logph.isentropes = 'on';    % Lines of constant entropy are plotted -> can be replaced by 'off'
options_logph.isoqualities = 'on';  % Lines of constant quality are plotted -> can be replaced by 'off'
options_logph.marker   = 'on';      % Marker of cycle state points are shown -> can be replaced by 'off'
options_logph.n_T   = 20;           % Approximate number of lines of constant temperature
options_logph.n_s   = 20;           % Approximate number of lines of constant entropy

% Font
options_logph.font     = 'Times New Roman'; % Fontname
options_logph.fs       = 10;        % FontSize

save('Figures/options_logph_default', 'options_logph');