function [PEC_Comp] = PEC_Compr(V_dot, eta_vol_comp)
%% ------------------------------------------------------------------------
% The file is part of the numerical models: "Numerical models for the
% design and analysis of heat pumps with zeotropic mixtures". All
% information about copyright, licenses and authors can be found in the
% attached documentation.
% doi: 10.11583/DTU.6825443
% Copyright (c) 2018, B. Zhlsdorf, DTU <bezuhls@mek.dtu.dk>, 03/12/2018
% ------------------------------------------------------------------------
% These cost function are exemplaric and may only be used when validated
% - Data was fitted to function using scaling factor from Bejan 1996
% - V_dot in [m3/h]
% - PEC_Comp in []

%% Cost Function
% PEC_Comp =  2805 * (V_dot/eta_vol_comp/21.9)^0.8;     % Booster HP Cost Function
PEC_Comp = 19850 * (V_dot/eta_vol_comp/279.8)^0.73;     % IEA HP Cost Fucntion

end