function [PEC_HX] = PEC_HX (area)
%% ------------------------------------------------------------------------
% The file is part of the numerical models: "Numerical models for the
% design and analysis of heat pumps with zeotropic mixtures". All
% information about copyright, licenses and authors can be found in the
% attached documentation.
% doi: 10.11583/DTU.6825443
% Copyright (c) 2018, B. Zhlsdorf, DTU <bezuhls@mek.dtu.dk>, 03/12/2018
% ------------------------------------------------------------------------
% These cost function are exemplaric and may only be used when validated
% - Data was fitted to linear cost function for booster HP case and to Bejan 1996 for the IEA HP case
% - Area in [m2] 
% - PEC_HX in []

%% Cost Function
% PEC_HX = 106.35 * area + 126.88;   % Booster HP Cost Function
PEC_HX = 15526 * (area/42)^0.8;         % IEA HP Cost Function
end