%% ListOfFluids
%% ------------------------------------------------------------------------
% The file is part of the numerical models: "Numerical models for the
% design and analysis of heat pumps with zeotropic mixtures". All
% information about copyright, licenses and authors can be found in the
% attached documentation.
% doi: 10.11583/DTU.6825443
% Copyright (c) 2018, B. Zhlsdorf, DTU <bezuhls@mek.dtu.dk>, 03/12/2018
%% ------------------------------------------------------------------------

%  ------------------------------------------------------------------------
%  The script defines a list of fluids, which can later be used by calling
%  a vector element
%  ------------------------------------------------------------------------

% List of all considered fluids (including R134a and Ammonia)
    % Medium             1           2          3       4        5          6         7        8
    medium_vector = {'Methane', 'Ethylene', 'Ethane', 'CO2', 'Propylen', 'propane', 'DME', 'isobutan', ...
                    'butane', 'ipentane', 'DEE', 'pentane', 'hexane', 'heptane', 'R1234YF', 'R1234ZEE', 'R1234ZEZ', 'R1233ZDE', 'R134a', 'Ammonia', 'Water'}';
    %                  9          10        11       12         13       14          15           16          17         18       19         20

    % Medium vector for visualization purposes
    medium_vector_full = {'Methane', 'Ethylene', 'Ethane', 'CO_2', 'Propylene', 'Propane', 'DME', 'Isobutane', ...
                    'Butane', 'Isopentane', 'DEE', 'Pentane', 'Hexane', 'Heptane', 'R-1234yf', 'R-1234ze(E)', 'R-1234ze(Z)', 'R-1233zd(E)', 'R-134a', 'Ammonia', 'Water'}';

    n_media=length(medium_vector);
    
%% Input for screening process    
    % Number of considered concentrations
    n_x = 11;
    % Considered Concentrations
    x_1_vector = linspace(0, 1, n_x);