function [eta_is_granryd] = GranrydEfficiency (pi, k, r)
%% ------------------------------------------------------------------------
% The file is part of the numerical models: "Numerical models for the
% design and analysis of heat pumps with zeotropic mixtures". All
% information about copyright, licenses and authors can be found in the
% attached documentation.
% doi: 10.11583/DTU.6825443
% Copyright (c) 2018, B. Zhlsdorf, DTU <bezuhls@mek.dtu.dk>, 03/12/2018
%% ------------------------------------------------------------------------    

% pi=v^k     - corrected built in pressure ratio
% k          - polytropic exponent
% r          - Pressure ratio: p_cond/p_evap

%% Function implemented according to Refrigerating Engineering, Granryd, 2005, page 7:31

eta_is_granryd = ((r)^((k-1)/k)-1) / (pi^((k-1)/k) - ((k-1)/k) * pi^(-(1/k)) * (pi-r)-1);

end